| Package | Description |
|---|---|
| io.swagger.client | |
| io.swagger.client.api |
| Modifier and Type | Method and Description |
|---|---|
void |
ApiCallback.onFailure(ApiException e,
int statusCode,
Map<String,List<String>> responseHeaders)
This is called when the API call fails.
|
| Modifier and Type | Method and Description |
|---|---|
com.squareup.okhttp.Call |
ApiClient.buildCall(String path,
String method,
List<Pair> queryParams,
List<Pair> collectionQueryParams,
Object body,
Map<String,String> headerParams,
Map<String,Object> formParams,
String[] authNames,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build HTTP call with the given options.
|
com.squareup.okhttp.Request |
ApiClient.buildRequest(String path,
String method,
List<Pair> queryParams,
List<Pair> collectionQueryParams,
Object body,
Map<String,String> headerParams,
Map<String,Object> formParams,
String[] authNames,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build an HTTP request with the given options.
|
<T> T |
ApiClient.deserialize(com.squareup.okhttp.Response response,
Type returnType)
Deserialize response body to Java object, according to the return type and
the Content-Type response header.
|
File |
ApiClient.downloadFileFromResponse(com.squareup.okhttp.Response response)
Download file from the given response.
|
<T> ApiResponse<T> |
ApiClient.execute(com.squareup.okhttp.Call call)
|
<T> ApiResponse<T> |
ApiClient.execute(com.squareup.okhttp.Call call,
Type returnType)
Execute HTTP call and deserialize the HTTP response body into the given return type.
|
<T> T |
ApiClient.handleResponse(com.squareup.okhttp.Response response,
Type returnType)
Handle the given response, return the deserialized object when the response is successful.
|
com.squareup.okhttp.RequestBody |
ApiClient.serialize(Object obj,
String contentType)
Serialize the given Java object into request body according to the object's
class and the request Content-Type.
|
| Modifier and Type | Method and Description |
|---|---|
void |
MandatorAdministrationApi.changeClientCredentials(ChangeClientCredentialsParams body)
Change client credentials
Change the client_secret for any of your clients, including the mandator admin client.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.changeClientCredentialsAsync(ChangeClientCredentialsParams body,
ApiCallback<Void> callback)
Change client credentials (asynchronously)
Change the client_secret for any of your clients, including the mandator admin client.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.changeClientCredentialsCall(ChangeClientCredentialsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for changeClientCredentials
|
ApiResponse<Void> |
MandatorAdministrationApi.changeClientCredentialsWithHttpInfo(ChangeClientCredentialsParams body)
Change client credentials
Change the client_secret for any of your clients, including the mandator admin client.
|
CategorizationCheckResults |
MocksAndTestsApi.checkCategorization(TransactionsData body)
Check categorization
This service can be used to check the categorization for a given set of transactions, without the need of having the transactions actually imported in finAPI.
|
com.squareup.okhttp.Call |
MocksAndTestsApi.checkCategorizationAsync(TransactionsData body,
ApiCallback<CategorizationCheckResults> callback)
Check categorization (asynchronously)
This service can be used to check the categorization for a given set of transactions, without the need of having the transactions actually imported in finAPI.
|
com.squareup.okhttp.Call |
MocksAndTestsApi.checkCategorizationCall(TransactionsData body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for checkCategorization
|
ApiResponse<CategorizationCheckResults> |
MocksAndTestsApi.checkCategorizationWithHttpInfo(TransactionsData body)
Check categorization
This service can be used to check the categorization for a given set of transactions, without the need of having the transactions actually imported in finAPI.
|
Category |
CategoriesApi.createCategory(CategoryParams body)
Create a new category
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
com.squareup.okhttp.Call |
CategoriesApi.createCategoryAsync(CategoryParams body,
ApiCallback<Category> callback)
Create a new category (asynchronously)
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
com.squareup.okhttp.Call |
CategoriesApi.createCategoryCall(CategoryParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for createCategory
|
ApiResponse<Category> |
CategoriesApi.createCategoryWithHttpInfo(CategoryParams body)
Create a new category
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
Label |
LabelsApi.createLabel(LabelParams body)
Create a new label
Create a new label for a specific user.
|
com.squareup.okhttp.Call |
LabelsApi.createLabelAsync(LabelParams body,
ApiCallback<Label> callback)
Create a new label (asynchronously)
Create a new label for a specific user.
|
com.squareup.okhttp.Call |
LabelsApi.createLabelCall(LabelParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for createLabel
|
ApiResponse<Label> |
LabelsApi.createLabelWithHttpInfo(LabelParams body)
Create a new label
Create a new label for a specific user.
|
NotificationRule |
NotificationRulesApi.createNotificationRule(NotificationRuleParams body)
Create a new notification rule
Create a new notification rule for a specific user.
|
com.squareup.okhttp.Call |
NotificationRulesApi.createNotificationRuleAsync(NotificationRuleParams body,
ApiCallback<NotificationRule> callback)
Create a new notification rule (asynchronously)
Create a new notification rule for a specific user.
|
com.squareup.okhttp.Call |
NotificationRulesApi.createNotificationRuleCall(NotificationRuleParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for createNotificationRule
|
ApiResponse<NotificationRule> |
NotificationRulesApi.createNotificationRuleWithHttpInfo(NotificationRuleParams body)
Create a new notification rule
Create a new notification rule for a specific user.
|
User |
UsersApi.createUser(UserCreateParamsImpl body)
Create a new user
<p>Create a new user.
|
com.squareup.okhttp.Call |
UsersApi.createUserAsync(UserCreateParamsImpl body,
ApiCallback<User> callback)
Create a new user (asynchronously)
<p>Create a new user.
|
com.squareup.okhttp.Call |
UsersApi.createUserCall(UserCreateParamsImpl body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for createUser
|
ApiResponse<User> |
UsersApi.createUserWithHttpInfo(UserCreateParamsImpl body)
Create a new user
<p>Create a new user.
|
void |
AccountsApi.deleteAccount(Long id)
Delete an account
Delete a single bank account of the user that is authorized by the access_token, including its transactions and balance data.
|
com.squareup.okhttp.Call |
AccountsApi.deleteAccountAsync(Long id,
ApiCallback<Void> callback)
Delete an account (asynchronously)
Delete a single bank account of the user that is authorized by the access_token, including its transactions and balance data.
|
com.squareup.okhttp.Call |
AccountsApi.deleteAccountCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAccount
|
ApiResponse<Void> |
AccountsApi.deleteAccountWithHttpInfo(Long id)
Delete an account
Delete a single bank account of the user that is authorized by the access_token, including its transactions and balance data.
|
IdentifierList |
AccountsApi.deleteAllAccounts()
Delete all accounts
Delete all accounts of the user that is authorized by the access_token, including all transactions and balance data.
|
com.squareup.okhttp.Call |
AccountsApi.deleteAllAccountsAsync(ApiCallback<IdentifierList> callback)
Delete all accounts (asynchronously)
Delete all accounts of the user that is authorized by the access_token, including all transactions and balance data.
|
com.squareup.okhttp.Call |
AccountsApi.deleteAllAccountsCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllAccounts
|
ApiResponse<IdentifierList> |
AccountsApi.deleteAllAccountsWithHttpInfo()
Delete all accounts
Delete all accounts of the user that is authorized by the access_token, including all transactions and balance data.
|
IdentifierList |
BankConnectionsApi.deleteAllBankConnections()
Delete all bank connections
Delete all bank connections of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.deleteAllBankConnectionsAsync(ApiCallback<IdentifierList> callback)
Delete all bank connections (asynchronously)
Delete all bank connections of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.deleteAllBankConnectionsCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllBankConnections
|
ApiResponse<IdentifierList> |
BankConnectionsApi.deleteAllBankConnectionsWithHttpInfo()
Delete all bank connections
Delete all bank connections of the user that is authorized by the access_token.
|
IdentifierList |
CategoriesApi.deleteAllCategories()
Delete all categories
Delete all custom categories of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
CategoriesApi.deleteAllCategoriesAsync(ApiCallback<IdentifierList> callback)
Delete all categories (asynchronously)
Delete all custom categories of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
CategoriesApi.deleteAllCategoriesCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllCategories
|
ApiResponse<IdentifierList> |
CategoriesApi.deleteAllCategoriesWithHttpInfo()
Delete all categories
Delete all custom categories of the user that is authorized by the access_token.
|
IdentifierList |
LabelsApi.deleteAllLabels()
Delete all labels
Delete all labels of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.deleteAllLabelsAsync(ApiCallback<IdentifierList> callback)
Delete all labels (asynchronously)
Delete all labels of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.deleteAllLabelsCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllLabels
|
ApiResponse<IdentifierList> |
LabelsApi.deleteAllLabelsWithHttpInfo()
Delete all labels
Delete all labels of the user that is authorized by the access_token.
|
IdentifierList |
NotificationRulesApi.deleteAllNotificationRules()
Delete all notification rules
Delete all notification rules of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.deleteAllNotificationRulesAsync(ApiCallback<IdentifierList> callback)
Delete all notification rules (asynchronously)
Delete all notification rules of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.deleteAllNotificationRulesCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllNotificationRules
|
ApiResponse<IdentifierList> |
NotificationRulesApi.deleteAllNotificationRulesWithHttpInfo()
Delete all notification rules
Delete all notification rules of the user that is authorized by the access_token.
|
IdentifierList |
TransactionsApi.deleteAllTransactions()
Delete all transactions
Delete all deletable transactions of the currently authorized user.
|
com.squareup.okhttp.Call |
TransactionsApi.deleteAllTransactionsAsync(ApiCallback<IdentifierList> callback)
Delete all transactions (asynchronously)
Delete all deletable transactions of the currently authorized user.
|
com.squareup.okhttp.Call |
TransactionsApi.deleteAllTransactionsCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllTransactions
|
ApiResponse<IdentifierList> |
TransactionsApi.deleteAllTransactionsWithHttpInfo()
Delete all transactions
Delete all deletable transactions of the currently authorized user.
|
void |
UsersApi.deleteAuthorizedUser()
Delete the authorized user
Delete the authorized user.
|
com.squareup.okhttp.Call |
UsersApi.deleteAuthorizedUserAsync(ApiCallback<Void> callback)
Delete the authorized user (asynchronously)
Delete the authorized user.
|
com.squareup.okhttp.Call |
UsersApi.deleteAuthorizedUserCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAuthorizedUser
|
ApiResponse<Void> |
UsersApi.deleteAuthorizedUserWithHttpInfo()
Delete the authorized user
Delete the authorized user.
|
void |
BankConnectionsApi.deleteBankConnection(Long id)
Delete a bank connection
Delete a single bank connection of the user that is authorized by the access_token, including all of its accounts and their transactions and balance data.
|
com.squareup.okhttp.Call |
BankConnectionsApi.deleteBankConnectionAsync(Long id,
ApiCallback<Void> callback)
Delete a bank connection (asynchronously)
Delete a single bank connection of the user that is authorized by the access_token, including all of its accounts and their transactions and balance data.
|
com.squareup.okhttp.Call |
BankConnectionsApi.deleteBankConnectionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteBankConnection
|
ApiResponse<Void> |
BankConnectionsApi.deleteBankConnectionWithHttpInfo(Long id)
Delete a bank connection
Delete a single bank connection of the user that is authorized by the access_token, including all of its accounts and their transactions and balance data.
|
void |
CategoriesApi.deleteCategory(Long id)
Delete a category
Delete a single category of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
CategoriesApi.deleteCategoryAsync(Long id,
ApiCallback<Void> callback)
Delete a category (asynchronously)
Delete a single category of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
CategoriesApi.deleteCategoryCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteCategory
|
ApiResponse<Void> |
CategoriesApi.deleteCategoryWithHttpInfo(Long id)
Delete a category
Delete a single category of the user that is authorized by the access_token.
|
void |
LabelsApi.deleteLabel(Long id)
Delete a label
Delete a single label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.deleteLabelAsync(Long id,
ApiCallback<Void> callback)
Delete a label (asynchronously)
Delete a single label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.deleteLabelCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteLabel
|
ApiResponse<Void> |
LabelsApi.deleteLabelWithHttpInfo(Long id)
Delete a label
Delete a single label of the user that is authorized by the access_token.
|
void |
NotificationRulesApi.deleteNotificationRule(Long id)
Delete a notification rule
Delete a single notification rule of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.deleteNotificationRuleAsync(Long id,
ApiCallback<Void> callback)
Delete a notification rule (asynchronously)
Delete a single notification rule of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.deleteNotificationRuleCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteNotificationRule
|
ApiResponse<Void> |
NotificationRulesApi.deleteNotificationRuleWithHttpInfo(Long id)
Delete a notification rule
Delete a single notification rule of the user that is authorized by the access_token.
|
void |
TransactionsApi.deleteTransaction(Long id)
Delete a transaction
Delete a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.deleteTransactionAsync(Long id,
ApiCallback<Void> callback)
Delete a transaction (asynchronously)
Delete a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.deleteTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteTransaction
|
ApiResponse<Void> |
TransactionsApi.deleteTransactionWithHttpInfo(Long id)
Delete a transaction
Delete a single transaction of the user that is authorized by the access_token.
|
void |
UsersApi.deleteUnverifiedUser(String userId)
Delete an unverified user
Delete an unverified user.
|
com.squareup.okhttp.Call |
UsersApi.deleteUnverifiedUserAsync(String userId,
ApiCallback<Void> callback)
Delete an unverified user (asynchronously)
Delete an unverified user.
|
com.squareup.okhttp.Call |
UsersApi.deleteUnverifiedUserCall(String userId,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteUnverifiedUser
|
ApiResponse<Void> |
UsersApi.deleteUnverifiedUserWithHttpInfo(String userId)
Delete an unverified user
Delete an unverified user.
|
UserIdentifiersList |
MandatorAdministrationApi.deleteUsers(UserIdentifiersParams body)
Delete users
Delete one or several users, which are specified by a given list of identifiers.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.deleteUsersAsync(UserIdentifiersParams body,
ApiCallback<UserIdentifiersList> callback)
Delete users (asynchronously)
Delete one or several users, which are specified by a given list of identifiers.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.deleteUsersCall(UserIdentifiersParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteUsers
|
ApiResponse<UserIdentifiersList> |
MandatorAdministrationApi.deleteUsersWithHttpInfo(UserIdentifiersParams body)
Delete users
Delete one or several users, which are specified by a given list of identifiers.
|
Account |
AccountsApi.editAccount(Long id,
AccountParams body)
Edit an account
Change the name and/or the type and/or the 'isNew' flag of a single bank account of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.editAccountAsync(Long id,
AccountParams body,
ApiCallback<Account> callback)
Edit an account (asynchronously)
Change the name and/or the type and/or the 'isNew' flag of a single bank account of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.editAccountCall(Long id,
AccountParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editAccount
|
ApiResponse<Account> |
AccountsApi.editAccountWithHttpInfo(Long id,
AccountParams body)
Edit an account
Change the name and/or the type and/or the 'isNew' flag of a single bank account of the user that is authorized by the access_token.
|
User |
UsersApi.editAuthorizedUser(UserUpdateParamsImpl body)
Edit the authorized user
Edit the authorized user's data and settings.
|
com.squareup.okhttp.Call |
UsersApi.editAuthorizedUserAsync(UserUpdateParamsImpl body,
ApiCallback<User> callback)
Edit the authorized user (asynchronously)
Edit the authorized user's data and settings.
|
com.squareup.okhttp.Call |
UsersApi.editAuthorizedUserCall(UserUpdateParamsImpl body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editAuthorizedUser
|
ApiResponse<User> |
UsersApi.editAuthorizedUserWithHttpInfo(UserUpdateParamsImpl body)
Edit the authorized user
Edit the authorized user's data and settings.
|
BankConnection |
BankConnectionsApi.editBankConnection(Long id,
EditBankConnectionParams body)
Edit a bank connection
Change the stored authentication credentials (banking user ID, banking customer ID, and banking PIN), or other fields of the bank connection.
|
com.squareup.okhttp.Call |
BankConnectionsApi.editBankConnectionAsync(Long id,
EditBankConnectionParams body,
ApiCallback<BankConnection> callback)
Edit a bank connection (asynchronously)
Change the stored authentication credentials (banking user ID, banking customer ID, and banking PIN), or other fields of the bank connection.
|
com.squareup.okhttp.Call |
BankConnectionsApi.editBankConnectionCall(Long id,
EditBankConnectionParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editBankConnection
|
ApiResponse<BankConnection> |
BankConnectionsApi.editBankConnectionWithHttpInfo(Long id,
EditBankConnectionParams body)
Edit a bank connection
Change the stored authentication credentials (banking user ID, banking customer ID, and banking PIN), or other fields of the bank connection.
|
ClientConfiguration |
ClientConfigurationApi.editClientConfiguration(ClientConfigurationParams body)
Edit client configuration
Edit your client's configuration.
|
com.squareup.okhttp.Call |
ClientConfigurationApi.editClientConfigurationAsync(ClientConfigurationParams body,
ApiCallback<ClientConfiguration> callback)
Edit client configuration (asynchronously)
Edit your client's configuration.
|
com.squareup.okhttp.Call |
ClientConfigurationApi.editClientConfigurationCall(ClientConfigurationParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editClientConfiguration
|
ApiResponse<ClientConfiguration> |
ClientConfigurationApi.editClientConfigurationWithHttpInfo(ClientConfigurationParams body)
Edit client configuration
Edit your client's configuration.
|
Label |
LabelsApi.editLabel(Long id,
LabelParams body)
Edit a label
Change the name of a label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.editLabelAsync(Long id,
LabelParams body,
ApiCallback<Label> callback)
Edit a label (asynchronously)
Change the name of a label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.editLabelCall(Long id,
LabelParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editLabel
|
ApiResponse<Label> |
LabelsApi.editLabelWithHttpInfo(Long id,
LabelParams body)
Edit a label
Change the name of a label of the user that is authorized by the access_token.
|
IdentifierList |
TransactionsApi.editMultipleTransactions(UpdateMultipleTransactionsParams body)
Edit multiple transactions
Edit one or multiple transactions.
|
com.squareup.okhttp.Call |
TransactionsApi.editMultipleTransactionsAsync(UpdateMultipleTransactionsParams body,
ApiCallback<IdentifierList> callback)
Edit multiple transactions (asynchronously)
Edit one or multiple transactions.
|
com.squareup.okhttp.Call |
TransactionsApi.editMultipleTransactionsCall(UpdateMultipleTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editMultipleTransactions
|
IdentifierList |
TransactionsApi.editMultipleTransactionsDeprecated(List<Long> ids,
UpdateTransactionsParams body)
Deprecated.
|
com.squareup.okhttp.Call |
TransactionsApi.editMultipleTransactionsDeprecatedAsync(List<Long> ids,
UpdateTransactionsParams body,
ApiCallback<IdentifierList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
TransactionsApi.editMultipleTransactionsDeprecatedCall(List<Long> ids,
UpdateTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<IdentifierList> |
TransactionsApi.editMultipleTransactionsDeprecatedWithHttpInfo(List<Long> ids,
UpdateTransactionsParams body)
Deprecated.
|
ApiResponse<IdentifierList> |
TransactionsApi.editMultipleTransactionsWithHttpInfo(UpdateMultipleTransactionsParams body)
Edit multiple transactions
Edit one or multiple transactions.
|
Transaction |
TransactionsApi.editTransaction(Long id,
UpdateTransactionsParams body)
Edit a transaction
Change a transaction's fields.
|
com.squareup.okhttp.Call |
TransactionsApi.editTransactionAsync(Long id,
UpdateTransactionsParams body,
ApiCallback<Transaction> callback)
Edit a transaction (asynchronously)
Change a transaction's fields.
|
com.squareup.okhttp.Call |
TransactionsApi.editTransactionCall(Long id,
UpdateTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editTransaction
|
ApiResponse<Transaction> |
TransactionsApi.editTransactionWithHttpInfo(Long id,
UpdateTransactionsParams body)
Edit a transaction
Change a transaction's fields.
|
void |
UsersApi.executePasswordChange(ExecutePasswordChangeParams body)
Execute password change
Change the password of a user.
|
com.squareup.okhttp.Call |
UsersApi.executePasswordChangeAsync(ExecutePasswordChangeParams body,
ApiCallback<Void> callback)
Execute password change (asynchronously)
Change the password of a user.
|
com.squareup.okhttp.Call |
UsersApi.executePasswordChangeCall(ExecutePasswordChangeParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for executePasswordChange
|
ApiResponse<Void> |
UsersApi.executePasswordChangeWithHttpInfo(ExecutePasswordChangeParams body)
Execute password change
Change the password of a user.
|
BankResponse |
AccountsApi.executeSepaDirectDebit(ExecuteSepaDirectDebitParams body)
Execute SEPA Direct Debit
Execute a SEPA direct debit order that has been previously submitted by the use of the /requestSepaDirectDebit service.
|
com.squareup.okhttp.Call |
AccountsApi.executeSepaDirectDebitAsync(ExecuteSepaDirectDebitParams body,
ApiCallback<BankResponse> callback)
Execute SEPA Direct Debit (asynchronously)
Execute a SEPA direct debit order that has been previously submitted by the use of the /requestSepaDirectDebit service.
|
com.squareup.okhttp.Call |
AccountsApi.executeSepaDirectDebitCall(ExecuteSepaDirectDebitParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for executeSepaDirectDebit
|
ApiResponse<BankResponse> |
AccountsApi.executeSepaDirectDebitWithHttpInfo(ExecuteSepaDirectDebitParams body)
Execute SEPA Direct Debit
Execute a SEPA direct debit order that has been previously submitted by the use of the /requestSepaDirectDebit service.
|
BankResponse |
AccountsApi.executeSepaMoneyTransfer(ExecuteSepaMoneyTransferParams body)
Execute SEPA Money Transfer
Execute a SEPA money transfer order that has been previously submitted by the use of the /requestSepaMoneyTransfer service.
|
com.squareup.okhttp.Call |
AccountsApi.executeSepaMoneyTransferAsync(ExecuteSepaMoneyTransferParams body,
ApiCallback<BankResponse> callback)
Execute SEPA Money Transfer (asynchronously)
Execute a SEPA money transfer order that has been previously submitted by the use of the /requestSepaMoneyTransfer service.
|
com.squareup.okhttp.Call |
AccountsApi.executeSepaMoneyTransferCall(ExecuteSepaMoneyTransferParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for executeSepaMoneyTransfer
|
ApiResponse<BankResponse> |
AccountsApi.executeSepaMoneyTransferWithHttpInfo(ExecuteSepaMoneyTransferParams body)
Execute SEPA Money Transfer
Execute a SEPA money transfer order that has been previously submitted by the use of the /requestSepaMoneyTransfer service.
|
Account |
AccountsApi.getAccount(Long id)
Get an account
Get a single bank account of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.getAccountAsync(Long id,
ApiCallback<Account> callback)
Get an account (asynchronously)
Get a single bank account of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.getAccountCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAccount
|
ApiResponse<Account> |
AccountsApi.getAccountWithHttpInfo(Long id)
Get an account
Get a single bank account of the user that is authorized by the access_token.
|
BankConnectionList |
BankConnectionsApi.getAllBankConnections(List<Long> ids)
Get all bank connections
Get bank connections of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getAllBankConnectionsAsync(List<Long> ids,
ApiCallback<BankConnectionList> callback)
Get all bank connections (asynchronously)
Get bank connections of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getAllBankConnectionsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAllBankConnections
|
ApiResponse<BankConnectionList> |
BankConnectionsApi.getAllBankConnectionsWithHttpInfo(List<Long> ids)
Get all bank connections
Get bank connections of the user that is authorized by the access_token.
|
AccountList |
AccountsApi.getAndSearchAllAccounts(List<Long> ids,
String search,
List<Long> accountTypeIds,
List<Long> bankConnectionIds,
String minLastSuccessfulUpdate,
String maxLastSuccessfulUpdate,
BigDecimal minBalance,
BigDecimal maxBalance)
Get and search all accounts
Get bank accounts of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.getAndSearchAllAccountsAsync(List<Long> ids,
String search,
List<Long> accountTypeIds,
List<Long> bankConnectionIds,
String minLastSuccessfulUpdate,
String maxLastSuccessfulUpdate,
BigDecimal minBalance,
BigDecimal maxBalance,
ApiCallback<AccountList> callback)
Get and search all accounts (asynchronously)
Get bank accounts of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
AccountsApi.getAndSearchAllAccountsCall(List<Long> ids,
String search,
List<Long> accountTypeIds,
List<Long> bankConnectionIds,
String minLastSuccessfulUpdate,
String maxLastSuccessfulUpdate,
BigDecimal minBalance,
BigDecimal maxBalance,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllAccounts
|
ApiResponse<AccountList> |
AccountsApi.getAndSearchAllAccountsWithHttpInfo(List<Long> ids,
String search,
List<Long> accountTypeIds,
List<Long> bankConnectionIds,
String minLastSuccessfulUpdate,
String maxLastSuccessfulUpdate,
BigDecimal minBalance,
BigDecimal maxBalance)
Get and search all accounts
Get bank accounts of the user that is authorized by the access_token.
|
PageableBankList |
BanksApi.getAndSearchAllBanks(List<Long> ids,
String search,
Boolean isSupported,
Boolean pinsAreVolatile,
List<String> supportedDataSources,
List<String> location,
Boolean isTestBank,
Integer page,
Integer perPage,
List<String> order)
Get and search all banks
Get and search banks from finAPI's database of banks.
|
com.squareup.okhttp.Call |
BanksApi.getAndSearchAllBanksAsync(List<Long> ids,
String search,
Boolean isSupported,
Boolean pinsAreVolatile,
List<String> supportedDataSources,
List<String> location,
Boolean isTestBank,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableBankList> callback)
Get and search all banks (asynchronously)
Get and search banks from finAPI's database of banks.
|
com.squareup.okhttp.Call |
BanksApi.getAndSearchAllBanksCall(List<Long> ids,
String search,
Boolean isSupported,
Boolean pinsAreVolatile,
List<String> supportedDataSources,
List<String> location,
Boolean isTestBank,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllBanks
|
ApiResponse<PageableBankList> |
BanksApi.getAndSearchAllBanksWithHttpInfo(List<Long> ids,
String search,
Boolean isSupported,
Boolean pinsAreVolatile,
List<String> supportedDataSources,
List<String> location,
Boolean isTestBank,
Integer page,
Integer perPage,
List<String> order)
Get and search all banks
Get and search banks from finAPI's database of banks.
|
PageableCategoryList |
CategoriesApi.getAndSearchAllCategories(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order)
Get and search all categories
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
com.squareup.okhttp.Call |
CategoriesApi.getAndSearchAllCategoriesAsync(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableCategoryList> callback)
Get and search all categories (asynchronously)
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
com.squareup.okhttp.Call |
CategoriesApi.getAndSearchAllCategoriesCall(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllCategories
|
ApiResponse<PageableCategoryList> |
CategoriesApi.getAndSearchAllCategoriesWithHttpInfo(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order)
Get and search all categories
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
PageableLabelList |
LabelsApi.getAndSearchAllLabels(List<Long> ids,
String search,
Integer page,
Integer perPage,
List<String> order)
Get and search all labels
Get labels of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.getAndSearchAllLabelsAsync(List<Long> ids,
String search,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableLabelList> callback)
Get and search all labels (asynchronously)
Get labels of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.getAndSearchAllLabelsCall(List<Long> ids,
String search,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllLabels
|
ApiResponse<PageableLabelList> |
LabelsApi.getAndSearchAllLabelsWithHttpInfo(List<Long> ids,
String search,
Integer page,
Integer perPage,
List<String> order)
Get and search all labels
Get labels of the user that is authorized by the access_token.
|
NotificationRuleList |
NotificationRulesApi.getAndSearchAllNotificationRules(List<Long> ids,
String triggerEvent,
Boolean includeDetails)
Get and search all notification rules
Get notification rules of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.getAndSearchAllNotificationRulesAsync(List<Long> ids,
String triggerEvent,
Boolean includeDetails,
ApiCallback<NotificationRuleList> callback)
Get and search all notification rules (asynchronously)
Get notification rules of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.getAndSearchAllNotificationRulesCall(List<Long> ids,
String triggerEvent,
Boolean includeDetails,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllNotificationRules
|
ApiResponse<NotificationRuleList> |
NotificationRulesApi.getAndSearchAllNotificationRulesWithHttpInfo(List<Long> ids,
String triggerEvent,
Boolean includeDetails)
Get and search all notification rules
Get notification rules of the user that is authorized by the access_token.
|
PageableSecurityList |
SecuritiesApi.getAndSearchAllSecurities(List<Long> ids,
String search,
List<Long> accountIds,
Integer page,
Integer perPage,
List<String> order)
Get and search all securities
Get securities of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
SecuritiesApi.getAndSearchAllSecuritiesAsync(List<Long> ids,
String search,
List<Long> accountIds,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableSecurityList> callback)
Get and search all securities (asynchronously)
Get securities of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
SecuritiesApi.getAndSearchAllSecuritiesCall(List<Long> ids,
String search,
List<Long> accountIds,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllSecurities
|
ApiResponse<PageableSecurityList> |
SecuritiesApi.getAndSearchAllSecuritiesWithHttpInfo(List<Long> ids,
String search,
List<Long> accountIds,
Integer page,
Integer perPage,
List<String> order)
Get and search all securities
Get securities of the user that is authorized by the access_token.
|
PageableTransactionList |
TransactionsApi.getAndSearchAllTransactions(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order)
Get and search all transactions
Get transactions of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.getAndSearchAllTransactionsAsync(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableTransactionList> callback)
Get and search all transactions (asynchronously)
Get transactions of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.getAndSearchAllTransactionsCall(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllTransactions
|
ApiResponse<PageableTransactionList> |
TransactionsApi.getAndSearchAllTransactionsWithHttpInfo(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order)
Get and search all transactions
Get transactions of the user that is authorized by the access_token.
|
User |
UsersApi.getAuthorizedUser()
Get the authorized user
Get the authorized user's data.
|
com.squareup.okhttp.Call |
UsersApi.getAuthorizedUserAsync(ApiCallback<User> callback)
Get the authorized user (asynchronously)
Get the authorized user's data.
|
com.squareup.okhttp.Call |
UsersApi.getAuthorizedUserCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAuthorizedUser
|
ApiResponse<User> |
UsersApi.getAuthorizedUserWithHttpInfo()
Get the authorized user
Get the authorized user's data.
|
Bank |
BanksApi.getBank(Long id)
Get a bank
Get a single bank from finAPI's database of banks.
|
com.squareup.okhttp.Call |
BanksApi.getBankAsync(Long id,
ApiCallback<Bank> callback)
Get a bank (asynchronously)
Get a single bank from finAPI's database of banks.
|
com.squareup.okhttp.Call |
BanksApi.getBankCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getBank
|
BankConnection |
BankConnectionsApi.getBankConnection(Long id)
Get a bank connection
Get a single bank connection of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getBankConnectionAsync(Long id,
ApiCallback<BankConnection> callback)
Get a bank connection (asynchronously)
Get a single bank connection of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getBankConnectionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getBankConnection
|
ApiResponse<BankConnection> |
BankConnectionsApi.getBankConnectionWithHttpInfo(Long id)
Get a bank connection
Get a single bank connection of the user that is authorized by the access_token.
|
ApiResponse<Bank> |
BanksApi.getBankWithHttpInfo(Long id)
Get a bank
Get a single bank from finAPI's database of banks.
|
CashFlowList |
CategoriesApi.getCashFlows(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order)
Get cash flows
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
com.squareup.okhttp.Call |
CategoriesApi.getCashFlowsAsync(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order,
ApiCallback<CashFlowList> callback)
Get cash flows (asynchronously)
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
com.squareup.okhttp.Call |
CategoriesApi.getCashFlowsCall(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getCashFlows
|
ApiResponse<CashFlowList> |
CategoriesApi.getCashFlowsWithHttpInfo(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order)
Get cash flows
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
Category |
CategoriesApi.getCategory(Long id)
Get a category
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
com.squareup.okhttp.Call |
CategoriesApi.getCategoryAsync(Long id,
ApiCallback<Category> callback)
Get a category (asynchronously)
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
com.squareup.okhttp.Call |
CategoriesApi.getCategoryCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getCategory
|
ApiResponse<Category> |
CategoriesApi.getCategoryWithHttpInfo(Long id)
Get a category
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
ClientConfiguration |
ClientConfigurationApi.getClientConfiguration()
Get client configuration
Get your client's configuration.
|
com.squareup.okhttp.Call |
ClientConfigurationApi.getClientConfigurationAsync(ApiCallback<ClientConfiguration> callback)
Get client configuration (asynchronously)
Get your client's configuration.
|
com.squareup.okhttp.Call |
ClientConfigurationApi.getClientConfigurationCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getClientConfiguration
|
ApiResponse<ClientConfiguration> |
ClientConfigurationApi.getClientConfigurationWithHttpInfo()
Get client configuration
Get your client's configuration.
|
DailyBalanceList |
AccountsApi.getDailyBalances(List<Long> accountIds,
String startDate,
String endDate,
Boolean withProjection,
Integer page,
Integer perPage,
List<String> order)
Get daily balances
Returns the daily balances for the given accounts and the given period.
|
com.squareup.okhttp.Call |
AccountsApi.getDailyBalancesAsync(List<Long> accountIds,
String startDate,
String endDate,
Boolean withProjection,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<DailyBalanceList> callback)
Get daily balances (asynchronously)
Returns the daily balances for the given accounts and the given period.
|
com.squareup.okhttp.Call |
AccountsApi.getDailyBalancesCall(List<Long> accountIds,
String startDate,
String endDate,
Boolean withProjection,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getDailyBalances
|
ApiResponse<DailyBalanceList> |
AccountsApi.getDailyBalancesWithHttpInfo(List<Long> accountIds,
String startDate,
String endDate,
Boolean withProjection,
Integer page,
Integer perPage,
List<String> order)
Get daily balances
Returns the daily balances for the given accounts and the given period.
|
Label |
LabelsApi.getLabel(Long id)
Get a label
Get a single label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.getLabelAsync(Long id,
ApiCallback<Label> callback)
Get a label (asynchronously)
Get a single label of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
LabelsApi.getLabelCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getLabel
|
ApiResponse<Label> |
LabelsApi.getLabelWithHttpInfo(Long id)
Get a label
Get a single label of the user that is authorized by the access_token.
|
AccountList |
AccountsApi.getMultipleAccounts(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
AccountsApi.getMultipleAccountsAsync(List<Long> ids,
ApiCallback<AccountList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
AccountsApi.getMultipleAccountsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<AccountList> |
AccountsApi.getMultipleAccountsWithHttpInfo(List<Long> ids)
Deprecated.
|
BankConnectionList |
BankConnectionsApi.getMultipleBankConnections(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getMultipleBankConnectionsAsync(List<Long> ids,
ApiCallback<BankConnectionList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
BankConnectionsApi.getMultipleBankConnectionsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<BankConnectionList> |
BankConnectionsApi.getMultipleBankConnectionsWithHttpInfo(List<Long> ids)
Deprecated.
|
BankList |
BanksApi.getMultipleBanks(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
BanksApi.getMultipleBanksAsync(List<Long> ids,
ApiCallback<BankList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
BanksApi.getMultipleBanksCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<BankList> |
BanksApi.getMultipleBanksWithHttpInfo(List<Long> ids)
Deprecated.
|
CategoryList |
CategoriesApi.getMultipleCategories(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
CategoriesApi.getMultipleCategoriesAsync(List<Long> ids,
ApiCallback<CategoryList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
CategoriesApi.getMultipleCategoriesCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<CategoryList> |
CategoriesApi.getMultipleCategoriesWithHttpInfo(List<Long> ids)
Deprecated.
|
LabelList |
LabelsApi.getMultipleLabels(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
LabelsApi.getMultipleLabelsAsync(List<Long> ids,
ApiCallback<LabelList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
LabelsApi.getMultipleLabelsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<LabelList> |
LabelsApi.getMultipleLabelsWithHttpInfo(List<Long> ids)
Deprecated.
|
SecurityList |
SecuritiesApi.getMultipleSecurities(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
SecuritiesApi.getMultipleSecuritiesAsync(List<Long> ids,
ApiCallback<SecurityList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
SecuritiesApi.getMultipleSecuritiesCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<SecurityList> |
SecuritiesApi.getMultipleSecuritiesWithHttpInfo(List<Long> ids)
Deprecated.
|
TransactionList |
TransactionsApi.getMultipleTransactions(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
TransactionsApi.getMultipleTransactionsAsync(List<Long> ids,
ApiCallback<TransactionList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
TransactionsApi.getMultipleTransactionsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<TransactionList> |
TransactionsApi.getMultipleTransactionsWithHttpInfo(List<Long> ids)
Deprecated.
|
NotificationRule |
NotificationRulesApi.getNotificationRule(Long id)
Get a notification rule
Get a single notification rule of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.getNotificationRuleAsync(Long id,
ApiCallback<NotificationRule> callback)
Get a notification rule (asynchronously)
Get a single notification rule of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
NotificationRulesApi.getNotificationRuleCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getNotificationRule
|
ApiResponse<NotificationRule> |
NotificationRulesApi.getNotificationRuleWithHttpInfo(Long id)
Get a notification rule
Get a single notification rule of the user that is authorized by the access_token.
|
Security |
SecuritiesApi.getSecurity(Long id)
Get a security
Get a single security for a specific user.
|
com.squareup.okhttp.Call |
SecuritiesApi.getSecurityAsync(Long id,
ApiCallback<Security> callback)
Get a security (asynchronously)
Get a single security for a specific user.
|
com.squareup.okhttp.Call |
SecuritiesApi.getSecurityCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getSecurity
|
ApiResponse<Security> |
SecuritiesApi.getSecurityWithHttpInfo(Long id)
Get a security
Get a single security for a specific user.
|
AccessToken |
AuthorizationApi.getToken(String grantType,
String clientId,
String clientSecret,
String refreshToken,
String username,
String password)
Get tokens
finAPI implements the OAuth 2.0 Standard for authorizing applications and users within applications.
|
com.squareup.okhttp.Call |
AuthorizationApi.getTokenAsync(String grantType,
String clientId,
String clientSecret,
String refreshToken,
String username,
String password,
ApiCallback<AccessToken> callback)
Get tokens (asynchronously)
finAPI implements the OAuth 2.0 Standard for authorizing applications and users within applications.
|
com.squareup.okhttp.Call |
AuthorizationApi.getTokenCall(String grantType,
String clientId,
String clientSecret,
String refreshToken,
String username,
String password,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getToken
|
ApiResponse<AccessToken> |
AuthorizationApi.getTokenWithHttpInfo(String grantType,
String clientId,
String clientSecret,
String refreshToken,
String username,
String password)
Get tokens
finAPI implements the OAuth 2.0 Standard for authorizing applications and users within applications.
|
Transaction |
TransactionsApi.getTransaction(Long id)
Get a transaction
Get a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.getTransactionAsync(Long id,
ApiCallback<Transaction> callback)
Get a transaction (asynchronously)
Get a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
TransactionsApi.getTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getTransaction
|
ApiResponse<Transaction> |
TransactionsApi.getTransactionWithHttpInfo(Long id)
Get a transaction
Get a single transaction of the user that is authorized by the access_token.
|
PageableUserInfoList |
MandatorAdministrationApi.getUserList(String minRegistrationDate,
String maxRegistrationDate,
String minDeletionDate,
String maxDeletionDate,
String minLastActiveDate,
String maxLastActiveDate,
Boolean includeMonthlyStats,
String monthlyStatsStartDate,
String monthlyStatsEndDate,
Boolean isDeleted,
Integer page,
Integer perPage,
List<String> order)
Get user list
<p>Get a list of the users of the mandator that is authorized by the access_token.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.getUserListAsync(String minRegistrationDate,
String maxRegistrationDate,
String minDeletionDate,
String maxDeletionDate,
String minLastActiveDate,
String maxLastActiveDate,
Boolean includeMonthlyStats,
String monthlyStatsStartDate,
String monthlyStatsEndDate,
Boolean isDeleted,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableUserInfoList> callback)
Get user list (asynchronously)
<p>Get a list of the users of the mandator that is authorized by the access_token.
|
com.squareup.okhttp.Call |
MandatorAdministrationApi.getUserListCall(String minRegistrationDate,
String maxRegistrationDate,
String minDeletionDate,
String maxDeletionDate,
String minLastActiveDate,
String maxLastActiveDate,
Boolean includeMonthlyStats,
String monthlyStatsStartDate,
String monthlyStatsEndDate,
Boolean isDeleted,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getUserList
|
ApiResponse<PageableUserInfoList> |
MandatorAdministrationApi.getUserListWithHttpInfo(String minRegistrationDate,
String maxRegistrationDate,
String minDeletionDate,
String maxDeletionDate,
String minLastActiveDate,
String maxLastActiveDate,
Boolean includeMonthlyStats,
String monthlyStatsStartDate,
String monthlyStatsEndDate,
Boolean isDeleted,
Integer page,
Integer perPage,
List<String> order)
Get user list
<p>Get a list of the users of the mandator that is authorized by the access_token.
|
VerificationStatusResource |
UsersApi.getVerificationStatus(String userId)
Get a user's verification status
Get the verification status of the requested user.
|
com.squareup.okhttp.Call |
UsersApi.getVerificationStatusAsync(String userId,
ApiCallback<VerificationStatusResource> callback)
Get a user's verification status (asynchronously)
Get the verification status of the requested user.
|
com.squareup.okhttp.Call |
UsersApi.getVerificationStatusCall(String userId,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getVerificationStatus
|
ApiResponse<VerificationStatusResource> |
UsersApi.getVerificationStatusWithHttpInfo(String userId)
Get a user's verification status
Get the verification status of the requested user.
|
BankConnection |
BankConnectionsApi.importBankConnection(ImportBankConnectionParams body)
Import a new bank connection
Imports a new bank connection for a specific user.
|
com.squareup.okhttp.Call |
BankConnectionsApi.importBankConnectionAsync(ImportBankConnectionParams body,
ApiCallback<BankConnection> callback)
Import a new bank connection (asynchronously)
Imports a new bank connection for a specific user.
|
com.squareup.okhttp.Call |
BankConnectionsApi.importBankConnectionCall(ImportBankConnectionParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for importBankConnection
|
ApiResponse<BankConnection> |
BankConnectionsApi.importBankConnectionWithHttpInfo(ImportBankConnectionParams body)
Import a new bank connection
Imports a new bank connection for a specific user.
|
void |
MocksAndTestsApi.mockBatchUpdate(MockBatchUpdateParams body)
Mock batch update
This service can be used to mock an update of one or several bank connections by letting you simulate finAPI's communication with a bank server.
|
com.squareup.okhttp.Call |
MocksAndTestsApi.mockBatchUpdateAsync(MockBatchUpdateParams body,
ApiCallback<Void> callback)
Mock batch update (asynchronously)
This service can be used to mock an update of one or several bank connections by letting you simulate finAPI's communication with a bank server.
|
com.squareup.okhttp.Call |
MocksAndTestsApi.mockBatchUpdateCall(MockBatchUpdateParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for mockBatchUpdate
|
ApiResponse<Void> |
MocksAndTestsApi.mockBatchUpdateWithHttpInfo(MockBatchUpdateParams body)
Mock batch update
This service can be used to mock an update of one or several bank connections by letting you simulate finAPI's communication with a bank server.
|
PasswordChangingResource |
UsersApi.requestPasswordChange(RequestPasswordChangeParameters body)
Request password change
Request password change for a user.
|
com.squareup.okhttp.Call |
UsersApi.requestPasswordChangeAsync(RequestPasswordChangeParameters body,
ApiCallback<PasswordChangingResource> callback)
Request password change (asynchronously)
Request password change for a user.
|
com.squareup.okhttp.Call |
UsersApi.requestPasswordChangeCall(RequestPasswordChangeParameters body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for requestPasswordChange
|
ApiResponse<PasswordChangingResource> |
UsersApi.requestPasswordChangeWithHttpInfo(RequestPasswordChangeParameters body)
Request password change
Request password change for a user.
|
DirectDebitOrderingResponse |
AccountsApi.requestSepaDirectDebit(RequestSepaDirectDebitParams body)
Request SEPA Direct Debit
Submit a SEPA direct debit order for one or multiple direct debits.
|
com.squareup.okhttp.Call |
AccountsApi.requestSepaDirectDebitAsync(RequestSepaDirectDebitParams body,
ApiCallback<DirectDebitOrderingResponse> callback)
Request SEPA Direct Debit (asynchronously)
Submit a SEPA direct debit order for one or multiple direct debits.
|
com.squareup.okhttp.Call |
AccountsApi.requestSepaDirectDebitCall(RequestSepaDirectDebitParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for requestSepaDirectDebit
|
ApiResponse<DirectDebitOrderingResponse> |
AccountsApi.requestSepaDirectDebitWithHttpInfo(RequestSepaDirectDebitParams body)
Request SEPA Direct Debit
Submit a SEPA direct debit order for one or multiple direct debits.
|
MoneyTransferOrderingResponse |
AccountsApi.requestSepaMoneyTransfer(RequestSepaMoneyTransferParams body)
Request SEPA Money Transfer
Submit a SEPA money transfer order for either a single or a collective money transfer.
|
com.squareup.okhttp.Call |
AccountsApi.requestSepaMoneyTransferAsync(RequestSepaMoneyTransferParams body,
ApiCallback<MoneyTransferOrderingResponse> callback)
Request SEPA Money Transfer (asynchronously)
Submit a SEPA money transfer order for either a single or a collective money transfer.
|
com.squareup.okhttp.Call |
AccountsApi.requestSepaMoneyTransferCall(RequestSepaMoneyTransferParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for requestSepaMoneyTransfer
|
ApiResponse<MoneyTransferOrderingResponse> |
AccountsApi.requestSepaMoneyTransferWithHttpInfo(RequestSepaMoneyTransferParams body)
Request SEPA Money Transfer
Submit a SEPA money transfer order for either a single or a collective money transfer.
|
Transaction |
TransactionsApi.restoreTransaction(Long id)
Restore a transaction
Restore a previously split transaction.
|
com.squareup.okhttp.Call |
TransactionsApi.restoreTransactionAsync(Long id,
ApiCallback<Transaction> callback)
Restore a transaction (asynchronously)
Restore a previously split transaction.
|
com.squareup.okhttp.Call |
TransactionsApi.restoreTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for restoreTransaction
|
ApiResponse<Transaction> |
TransactionsApi.restoreTransactionWithHttpInfo(Long id)
Restore a transaction
Restore a previously split transaction.
|
void |
AuthorizationApi.revokeToken(String token,
String tokenTypeHint)
Revoke a token
An additional endpoint for the OAuth 2.0 Standard, which allows clients to notify finAPI that a previously obtained refresh_token or access_token is no longer required.
|
com.squareup.okhttp.Call |
AuthorizationApi.revokeTokenAsync(String token,
String tokenTypeHint,
ApiCallback<Void> callback)
Revoke a token (asynchronously)
An additional endpoint for the OAuth 2.0 Standard, which allows clients to notify finAPI that a previously obtained refresh_token or access_token is no longer required.
|
com.squareup.okhttp.Call |
AuthorizationApi.revokeTokenCall(String token,
String tokenTypeHint,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for revokeToken
|
ApiResponse<Void> |
AuthorizationApi.revokeTokenWithHttpInfo(String token,
String tokenTypeHint)
Revoke a token
An additional endpoint for the OAuth 2.0 Standard, which allows clients to notify finAPI that a previously obtained refresh_token or access_token is no longer required.
|
Transaction |
TransactionsApi.splitTransaction(Long id,
SplitTransactionsParams body)
Split a transaction
Split a transaction into several logical sub-transactions.
|
com.squareup.okhttp.Call |
TransactionsApi.splitTransactionAsync(Long id,
SplitTransactionsParams body,
ApiCallback<Transaction> callback)
Split a transaction (asynchronously)
Split a transaction into several logical sub-transactions.
|
com.squareup.okhttp.Call |
TransactionsApi.splitTransactionCall(Long id,
SplitTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for splitTransaction
|
ApiResponse<Transaction> |
TransactionsApi.splitTransactionWithHttpInfo(Long id,
SplitTransactionsParams body)
Split a transaction
Split a transaction into several logical sub-transactions.
|
void |
CategoriesApi.trainCategorization(CategorizationSample body)
Train categorization
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
com.squareup.okhttp.Call |
CategoriesApi.trainCategorizationAsync(CategorizationSample body,
ApiCallback<Void> callback)
Train categorization (asynchronously)
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
com.squareup.okhttp.Call |
CategoriesApi.trainCategorizationCall(CategorizationSample body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for trainCategorization
|
ApiResponse<Void> |
CategoriesApi.trainCategorizationWithHttpInfo(CategorizationSample body)
Train categorization
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
void |
TransactionsApi.triggerCategorization(TriggerCategorizationParams body)
Trigger categorization
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
com.squareup.okhttp.Call |
TransactionsApi.triggerCategorizationAsync(TriggerCategorizationParams body,
ApiCallback<Void> callback)
Trigger categorization (asynchronously)
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
com.squareup.okhttp.Call |
TransactionsApi.triggerCategorizationCall(TriggerCategorizationParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for triggerCategorization
|
ApiResponse<Void> |
TransactionsApi.triggerCategorizationWithHttpInfo(TriggerCategorizationParams body)
Trigger categorization
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
BankConnection |
BankConnectionsApi.updateBankConnection(UpdateBankConnectionParams body)
Update a bank connection
Update an existing bank connection of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.updateBankConnectionAsync(UpdateBankConnectionParams body,
ApiCallback<BankConnection> callback)
Update a bank connection (asynchronously)
Update an existing bank connection of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
BankConnectionsApi.updateBankConnectionCall(UpdateBankConnectionParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for updateBankConnection
|
ApiResponse<BankConnection> |
BankConnectionsApi.updateBankConnectionWithHttpInfo(UpdateBankConnectionParams body)
Update a bank connection
Update an existing bank connection of the user that is authorized by the access_token.
|
void |
UsersApi.verifyUser(String userId)
Verify a user
Verify a user.
|
com.squareup.okhttp.Call |
UsersApi.verifyUserAsync(String userId,
ApiCallback<Void> callback)
Verify a user (asynchronously)
Verify a user.
|
com.squareup.okhttp.Call |
UsersApi.verifyUserCall(String userId,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for verifyUser
|
ApiResponse<Void> |
UsersApi.verifyUserWithHttpInfo(String userId)
Verify a user
Verify a user.
|
Copyright © 2018. All rights reserved.